<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY frei0r-download-http "https://files.dyne.org/frei0r/releases/frei0r-plugins-&frei0r-version;.tar.gz">
  <!ENTITY frei0r-download-ftp  " ">
  <!ENTITY frei0r-md5sum        "45ffe53925ce0a90ce1d838c05e0a3c0">
  <!ENTITY frei0r-size          "804 KB">
  <!ENTITY frei0r-buildsize     "40 MB">
  <!ENTITY frei0r-time          "0.5 SBU">
]>

<sect1 id="frei0r" xreflabel="frei0r-plugins-&frei0r-version;">
  <?dbhtml filename="frei0r.html"?>


  <title>frei0r-plugins-&frei0r-version;</title>

  <indexterm zone="frei0r">
    <primary sortas="a-frei0r">frei0r</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Frei0r-plugins</title>

    <para>
      <application>Frei0r</application> is a minimalistic plugin API for
      video effects. Note that the 0 in the name is a zero, not a capital
      letter o.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&frei0r-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&frei0r-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &frei0r-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &frei0r-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &frei0r-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &frei0r-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Frei0r-plugins Dependencies</bridgehead>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para>
       <xref linkend='gavl'/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para>
      <xref linkend='doxygen'/> and
      <xref linkend='opencv'/>
    </para>


  </sect2>

  <sect2 role="installation">
    <title>Installation of Frei0r-plugins</title>

    <para>
      Install <application>Frei0r</application> by running the
      following commands:
    </para>

<screen><userinput>mkdir -vp build &amp;&amp;
cd        build &amp;&amp;

cmake -D CMAKE_INSTALL_PREFIX=/usr \
      -D CMAKE_BUILD_TYPE=Release  \
      -W no-dev ..                 &amp;&amp;

make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <para>
      <option>-D WITHOUT_OPENCV=TRUE</option>: This option instructs the make
      procedure to disable building plugins dependent upon opencv.
    </para>

    <para>
      <option>-D WITHOUT_GAVL=TRUE</option>: This option instructs the make
      procedure to disable building plugins dependent upon gavl.
    </para>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>None</seg>
        <seg>Over 130 video effects plugins</seg>
        <seg>/usr/lib/frei0r-1</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

</sect1>
